--Marauder
resource.AddFile( "models/federation_atc.dx80.vtx" );
resource.AddFile( "models/federation_atc.dx90.vtx" );
resource.AddFile( "models/federation_atc.mdl" );
resource.AddFile( "models/federation_atc.phy" );
resource.AddFile( "models/federation_atc.sw.vtx" );
resource.AddFile( "models/federation_atc.vvd" );
resource.AddFile( "models/federation_atc.xbox.vtx" );
resource.AddFile( "materials/models/fed_atc/slow_body.vmt" );
resource.AddFile( "materials/models/fed_atc/slow_body.vtf" );
resource.AddFile( "materials/models/fed_atc/slow_body_bump.vtf" );
resource.AddFile( "materials/models/fed_atc/slow_helmet.vmt" );
resource.AddFile( "materials/models/fed_atc/slow_helmet.vtf" );
resource.AddFile( "materials/models/fed_atc/slow_helmet_bump.vtf" );

--Psiops
resource.AddFile( "models/mobinfi_soldier_prisonguard.mdl" );
resource.AddFile( "models/mobinfi_soldier_prisonguard.phy" );
resource.AddFile( "models/mobinfi_soldier_prisonguard.vvd" );
resource.AddFile( "models/mobinfi_soldier_prisonguard.dx80.vtx" );
resource.AddFile( "models/mobinfi_soldier_prisonguard.dx90.vtx" );
resource.AddFile( "models/mobinfi_soldier_prisonguard.sw.vtx" );
resource.AddFile( "materials/models/mobileinfantry/prisoninfantry.vmt" );
resource.AddFile( "materials/models/mobileinfantry/prisoninfantry.vtf" );
resource.AddFile( "materials/models/mobileinfantry/armour_map2.vmt" );
resource.AddFile( "materials/models/mobileinfantry/armour_map2.vtf" );
resource.AddFile( "materials/models/mobileinfantry/armour_map2_normal.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_urban.vmt" );
resource.AddFile( "materials/models/mobileinfantry/ct_urban.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_urban_glass_2.vmt" );
resource.AddFile( "materials/models/mobileinfantry/ct_urban_glass_2.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_urban_glass_spec.vtf" );

--Gasmask
resource.AddFile( "materials/models/player/ct_sas2/ct_sas.vmt" );
resource.AddFile( "materials/models/player/ct_sas2/ct_sas.vtf" );
resource.AddFile( "materials/models/player/ct_sas2/ct_sas_glass.vmt" );
resource.AddFile( "materials/models/player/ct_sas2/ct_sas_glass.vtf" );
resource.AddFile( "materials/models/player/ct_sas2/ct_sas_glass_spec.vtf" );
resource.AddFile( "materials/models/player/ct_sas2/ct_sas_normal.vtf" );
resource.AddFile( "materials/models/mobileinfantry/armour_map_fleet.vmt" );
resource.AddFile( "materials/models/mobileinfantry/armour_map_fleet.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas.vmt" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas_glass.vmt" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas_glass.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas_glass_spec.vtf" );
resource.AddFile( "materials/models/mobileinfantry/fleetinfantry.vmt" );
resource.AddFile( "materials/models/mobileinfantry/fleetinfantry.vtf" );
resource.AddFile( "materials/models/mobileinfantry/ct_sas_glass_spec.vtf" );
resource.AddFile( "models/mobinfi_super_soldier.dx80.vtx" );
resource.AddFile( "models/mobinfi_super_soldier.dx90.vtx" );
resource.AddFile( "models/mobinfi_super_soldier.mdl" );
resource.AddFile( "models/mobinfi_super_soldier.phy" );
resource.AddFile( "models/mobinfi_super_soldier.sw.vtx" );
resource.AddFile( "models/mobinfi_super_soldier.vvd" );
resource.AddFile( "models/mobinfi_super_soldier.xbox.vtx" );

--Dropship model
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.dx80.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.dx90.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.mdl" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.phy" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.sw.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship.vvd" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship_skybox.dx80.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship_skybox.dx90.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship_skybox.mdl" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship_skybox.sw.vtx" );
resource.AddFile( "models/imperial/vehicles/air/transport/imp_dropship_skybox.vvd" );
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropship.vmt" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropship.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropship_normal.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipcontainer.vmt" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipcontainer.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipcontainer_normal.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipengine.vmt" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipengine.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshipengine_normal.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshiptrans.vmt" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshiptrans.vtf" ); 
resource.AddFile( "materials/imperial/vehicles/air/transport/imp_dropshiptrans_normal.vtf" );

-- TAC fighter
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.dx80.vtx" );
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.dx90.vtx" );
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.sw.vtx" );
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.mdl" );
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.phy" );
resource.AddFile( "models/hawx/planes/FA-18E_SuperHornet.vvd" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet.vtf" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet.vmt" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet2.vtf" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet2.vmt" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet_bump.vtf" );
resource.AddFile( "materials/models/hawx/planes/FA-18E_SuperHornet/FA-18E_SuperHornet_glass.vmt" );
resource.AddFile( "materials/models/hawx/planes/Cockpit_Glass.vmt" );
resource.AddFile( "materials/models/hawx/planes/Cockpit_Glass.vtf" );

--Arachnid
resource.AddFile( "sound/warrior/claw_miss1.wav" );
resource.AddFile( "sound/warrior/claw_miss2.wav" );
resource.AddFile( "sound/warrior/shove1.wav" );
resource.AddFile( "sound/warrior/warrior_hiss1.wav" );
resource.AddFile( "sound/warrior/warrior_hiss2.wav" );
resource.AddFile( "sound/warrior/warrior_hiss3.wav" );
resource.AddFile( "sound/warrior/warrior_hiss4.wav" );
resource.AddFile( "sound/warrior/warrior_hurt.wav" );
resource.AddFile( "sound/warrior/warrior_hurt2.wav" );
resource.AddFile( "sound/warrior/warrior_idle.wav" );
resource.AddFile( "sound/warrior/warrior_idle2.wav" );
resource.AddFile( "models/arachnid.dx80.vtx" );
resource.AddFile( "models/arachnid.dx90.vtx" );
resource.AddFile( "models/arachnid.mdl" );
resource.AddFile( "models/arachnid.phy" );
resource.AddFile( "models/arachnid.sw.vtx" );
resource.AddFile( "models/arachnid.vvd" );
resource.AddFile( "models/arachnid.xbox.vtx" );
resource.AddFile( "materials/models/arachnid/arachno_body.vmt" );
resource.AddFile( "materials/models/arachnid/arachno_body.vtf" );
resource.AddFile( "materials/models/arachnid/arachno_claw.vmt" );
resource.AddFile( "materials/models/arachnid/arachno_claw.vtf" );
resource.AddFile( "materials/models/arachnid/arachno_head.vmt" );
resource.AddFile( "materials/models/arachnid/arachno_head.vtf" );
resource.AddFile( "materials/models/arachnid/arachno_legs.vmt" );
resource.AddFile( "materials/models/arachnid/arachno_legs.vtf" );
resource.AddFile( "materials/models/arachnid/arachno_pelvis.vmt" );
resource.AddFile( "materials/models/arachnid/arachno_pelvis.vtf" );

--Morita rifle sounds
resource.AddFile( "sound/morita-clipin.wav" );
resource.AddFile( "sound/morita-clipout.wav" );
resource.AddFile( "sound/morita-deploy.wav" );
resource.AddFile( "sound/morita-empty.wav" );
resource.AddFile( "sound/morita-fire.wav" );
resource.AddFile( "sound/morita-pump.wav" );

--Starship Troopers Sounds
resource.AddFile( "sound/fom.mp3" );
resource.AddFile( "sound/cream.mp3" );
resource.AddFile( "sound/sst/quotes/2legs.wav" );
resource.AddFile( "sound/sst/quotes/corporal.wav" );
resource.AddFile( "sound/sst/quotes/getout.wav" );
resource.AddFile( "sound/sst/quotes/infantry.wav" );
resource.AddFile( "sound/sst/quotes/rule.wav" );
resource.AddFile( "sound/sst/kdrop.mp3" );
resource.AddFile( "sound/sst/fednet.mp3" );
resource.AddFile( "sound/mgs.mp3" );
resource.AddFile( "sound/path.mp3" );
resource.AddFile( "sound/path2.mp3" );
resource.AddFile( "sound/terran1.mp3" );
resource.AddFile( "sound/terran2.mp3" );
resource.AddFile( "sound/terran3.mp3" );

--Morita Mark II (Snood)
resource.AddFile( "models/weapons/v_morita.dx80.vtx" );
resource.AddFile( "models/weapons/v_morita.dx90.vtx" );
resource.AddFile( "models/weapons/v_morita.mdl" );
resource.AddFile( "models/weapons/v_morita.sw.vtx" );
resource.AddFile( "models/weapons/v_morita.vvd" );
resource.AddFile( "models/weapons/w_morita.dx80.vtx" );
resource.AddFile( "models/weapons/w_morita.dx90.vtx" );
resource.AddFile( "models/weapons/w_morita.mdl" );
resource.AddFile( "models/weapons/w_morita.phy" );
resource.AddFile( "models/weapons/w_morita.sw.vtx" );
resource.AddFile( "models/weapons/w_morita.vvd" );
resource.AddFile( "materials/models/weapons/morita/map1.vmt" );
resource.AddFile( "materials/models/weapons/morita/map1.vtf" );
resource.AddFile( "materials/models/weapons/morita/map2.vmt" );
resource.AddFile( "materials/models/weapons/morita/map2.vtf" );

--This counters the hands error in the view and world model
resource.AddFile( "models/weapons/v_fists.dx80.vtx" );
resource.AddFile( "models/weapons/v_fists.dx90.vtx" );
resource.AddFile( "models/weapons/v_fists.mdl" );
resource.AddFile( "models/weapons/v_fists.sw.vtx" );
resource.AddFile( "models/weapons/v_fists.vvd" );
resource.AddFile( "models/weapons/w_fists.dx80.vtx" );
resource.AddFile( "models/weapons/w_fists.dx90.vtx" );
resource.AddFile( "models/weapons/w_fists.mdl" );
resource.AddFile( "models/weapons/w_fists.phy" );
resource.AddFile( "models/weapons/w_fists.sw.vtx" );
resource.AddFile( "models/weapons/w_fists.vvd" );

-- Fweet

for i = 1, 9 do
	
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".mdl" );
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".phy" );
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".vvd" );
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".dx90.vtx" );
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".dx80.vtx" );
	resource.AddFile( "models/humans/fleet01/male_0" .. i .. ".sw.vtx" );
	
end

for i = 1, 7 do
	
	if( i ~= 5 ) then
		
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".mdl" );
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".phy" );
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".vvd" );
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".dx90.vtx" );
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".dx80.vtx" );
		resource.AddFile( "models/humans/fleet01/female_0" .. i .. ".sw.vtx" );
		
	end
	
end

resource.AddFile( "materials/models/humans/female/group01/female_fleets.vmt" );
resource.AddFile( "materials/models/humans/female/group01/female_fleets.vtf" );
resource.AddFile( "materials/models/humans/female/group01/female_fleets_n.vtf" );
resource.AddFile( "materials/models/humans/male/group01/fleet_d_sheet.vmt" );
resource.AddFile( "materials/models/humans/male/group01/fleet_d_sheet.vtf" );
resource.AddFile( "materials/models/humans/male/group01/fleet_d_sheet_n.vtf" );

--Parachute
resource.AddFile( "materials/models/parachute/chute.vmt" );
resource.AddFile( "materials/models/parachute/chute.vtf" );
resource.AddFile( "models/parachute/chute.dx80.vtx" );
resource.AddFile( "models/parachute/chute.dx90.vtx" );
resource.AddFile( "models/parachute/chute.mdl" );
resource.AddFile( "models/parachute/chute.phy" );
resource.AddFile( "models/parachute/chute.sw.vtx" );
resource.AddFile( "models/parachute/chute.vvd" );

--SST Models
for j = 1, 7 do
	
	if( j ~= 5 ) then
		
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".dx80.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".dx90.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".mdl" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".phy" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".sw.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".vvd" );
		resource.AddFile( "models/mobileinfantry/fmi_0" .. j .. ".xbox.vtx" );
		
	end
	
end

for j = 1, 7 do
	
	if( j ~= 5 ) then
		
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".dx80.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".dx90.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".mdl" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".phy" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".sw.vtx" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".vvd" );
		resource.AddFile( "models/mobileinfantry/fmi_m_0" .. j .. ".xbox.vtx" );
		
	end
	
end

for j = 1, 9 do
	
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".dx80.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".dx90.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".mdl" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".phy" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".sw.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".vvd" );
	resource.AddFile( "models/mobileinfantry/mi_0" .. j .. ".xbox.vtx" );
	
end

for j = 1, 9 do
	
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".dx80.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".dx90.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".mdl" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".phy" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".sw.vtx" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".vvd" );
	resource.AddFile( "models/mobileinfantry/mi_m_0" .. j .. ".xbox.vtx" );
	
end

--SST Materials
--Trooper
resource.AddFile( "materials/models/mobileinfantry/armour_map2.vmt" );
resource.AddFile( "materials/models/mobileinfantry/armour_map2.vtf" );
resource.AddFile( "materials/models/mobileinfantry/armour_map2_normal.vtf" );
resource.AddFile( "materials/models/mobileinfantry/mobileinfantry.vmt" );
resource.AddFile( "materials/models/mobileinfantry/mobileinfantry.vtf" );
resource.AddFile( "materials/models/mobileinfantry/mobileinfantry_normal.vtf" );

--Medic
resource.AddFile( "materials/models/mobileinfantry/armour_map_medic.vmt" );
resource.AddFile( "materials/models/mobileinfantry/armour_map_medic.vtf" );
resource.AddFile( "materials/models/mobileinfantry/mobileinfantry_medic.vmt" );
resource.AddFile( "materials/models/mobileinfantry/mobileinfantry_medic.vtf" );

--Random particles (psi, scope, nuke w/e)
resource.AddFile( "materials/modulus/particles/Smoke6.vmt" );
resource.AddFile( "materials/modulus/particles/Smoke6.vtf" );
resource.AddFile( "materials/sprites/psiglow.vmt" );
resource.AddFile( "materials/scope/scope_normal.vmt" );
resource.AddFile( "materials/scope/scope_normal.vtf" );